Loading...
Searching...
No Matches
juce::SHA256 Class Reference

## Detailed Description

SHA-256 secure hash generator.

Create one of these objects from a block of source data or a stream, and it calculates the SHA-256 hash of that data.

You can retrieve the hash as a raw 32-byte block, or as a 64-digit hex string.

See also
  MD5

The documentation for this class was generated from the following file:

- juce_cryptography/hashing/juce_SHA256.h

## Public Member Functions

| SHA256 ()
| Creates an empty SHA256 object.
| ~SHA256 ()
| Destructor.
| SHA256 (const SHA256 &)
| Creates a copy of another SHA256.
SHA256 & | operator= (const SHA256 &)
| Copies another SHA256.
| SHA256 (const MemoryBlock &data)
| Creates a hash from a block of raw data.
| SHA256 (const void *data, size_t numBytes)
| Creates a hash from a block of raw data.
| SHA256 (InputStream &input, int64 maxBytesToRead=-1)
| Creates a hash from the contents of a stream.
| SHA256 (const File &file)
| Reads a file and generates the hash of its contents.
| SHA256 (CharPointer_UTF8 utf8Text) noexcept
| Creates a checksum from a UTF-8 buffer.
MemoryBlock | getRawData () const
| Returns the hash as a 32-byte block of data.
String | toHexString () const
| Returns the checksum as a 64-digit hex string.
bool | operator== (const SHA256 &) const noexcept
bool | operator!= (const SHA256 &) const noexcept

## Constructors and Destructors

## SHA256() [1/7]

juce::SHA256::SHA256 | ( |  | ) |

Creates an empty SHA256 object.

The default constructor just creates a hash filled with zeros. (This is not equal to the hash of an empty block of data).

Referenced by operator!=(), operator=(), operator==(), and SHA256().

## ~SHA256()

juce::SHA256::~SHA256 | ( |  | ) |

Destructor.

## SHA256() [2/7]

juce::SHA256::SHA256 | ( | const SHA256 & |  | ) |

Creates a copy of another SHA256.

References SHA256().

## SHA256() [3/7]

juce::SHA256::SHA256 | ( | const MemoryBlock & | data | ) |

explicit

Creates a hash from a block of raw data.

## SHA256() [4/7]

juce::SHA256::SHA256 | ( | const void * | data,
|  | size_t | numBytes )

Creates a hash from a block of raw data.

## SHA256() [5/7]

juce::SHA256::SHA256 | ( | InputStream & | input,
|  | int64 | maxBytesToRead = -1 )

Creates a hash from the contents of a stream.

This will read from the stream until the stream is exhausted, or until maxBytesToRead bytes have been read. If maxBytesToRead is negative, the entire stream will be read.

## SHA256() [6/7]

juce::SHA256::SHA256 | ( | const File & | file | ) |

explicit

Reads a file and generates the hash of its contents.

If the file can't be opened, the hash will be left uninitialised (i.e. full of zeros).

## SHA256() [7/7]

juce::SHA256::SHA256 | ( | CharPointer_UTF8 | utf8Text | ) |

explicit noexcept

Creates a checksum from a UTF-8 buffer.

E.g.

SHA256 checksum (myString.toUTF8());
juce::SHA256::SHA256
SHA256()
Creates an empty SHA256 object.

## Member Functions

## operator=()

SHA256 & juce::SHA256::operator= | ( | const SHA256 & |  | ) |

Copies another SHA256.

References SHA256().

## getRawData()

MemoryBlock juce::SHA256::getRawData | ( |  | ) | const

Returns the hash as a 32-byte block of data.

## toHexString()

String juce::SHA256::toHexString | ( |  | ) | const

Returns the checksum as a 64-digit hex string.

## operator==()

bool juce::SHA256::operator== | ( | const SHA256 & |  | ) | const

noexcept

References SHA256().

## operator!=()

bool juce::SHA256::operator!= | ( | const SHA256 & |  | ) | const

noexcept

References SHA256().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited